%def_disable static

Name: mpeg4ip
Version: 1.5.0.1
Release: alt8

Summary: Set of linux video stream processing utilities
License: MPL
Group: Video
Url: http://www.mpeg4ip.net
Packager: Pavlov Konstantin <thresh@altlinux.ru>

Source: http://download.sourceforge.net/mpeg4ip/%name-%version.tar.gz

BuildPreReq: linux-libc-headers

# Automatically added by buildreq on Thu Dec 15 2005
BuildRequires: esound-devel fontconfig-devel freetype2-devel gcc-c++ glib2-devel gtk-doc id3lib-devel libSDL-devel liba52-devel libalsa-devel libarts-devel libatk-devel libaudio-devel libaudiofile-devel libcairo-devel libfaac-devel libfaad-devel libffmpeg-devel libg2c-devel libglitz-devel libgtk+2-devel liblame-devel libmad-devel libmpeg2-devel libpango-devel libpng-devel libstdc++-devel libvorbis-devel nasm pkg-config xorg-x11-devel xvid-devel zlib-devel libx264-devel

%if_enabled static
BuildRequires: xorg-x11-devel-static
%endif

%description
The MPEG4IP project provides a standarts-based system
for encoding, streaming and playing encoded auido and video.
This package contains libraries of MPEG4IP project.

%package -n lib%name
Summary: MPEG4IP libraries
Group: Development/C

%description -n lib%name
MPEG4IP libraries.

%package -n libmp4v2
Summary: MP4V2 libraries
Group: Development/C

%description -n libmp4v2
MP4v2 libraries, part of mpeg4ip project

%package tools
Summary: MPEG4IP tools
Group: Video
Requires: lib%name = %version-%release

%description tools
MPEG4IP video, audio tools.

%package doc
Summary: MPEG4IP Documentation
Group: Video

%description doc
MPEG4IP Documentation.

%package -n lib%name-devel
Summary: MPEG4IP Development files
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
MPEG4IP Development files

%package player
Summary: MPEG4IP Player (console version)
Group: Video
Requires: lib%name = %version-%release
Requires: %name-player-plugins = %version-%release

%description player
MPEG4IP Player (Console version)

%package player-gui
Summary: MPEG4IP Player (GUI version)
Group: Video
Requires: lib%name = %version-%release
Requires: %name-player-plugins = %version-%release

%description player-gui
MPEG4IP Player (GUI version)

%package player-plugins
Summary: MPEG4IP Player plugins
Group: Video
Requires: lib%name = %version-%release

%description player-plugins
MPEG4IP Player plugins.

%package live
Summary: MPEG4IP Live streaming server
Group: Video
Requires: lib%name = %version-%release

%description live
MPEG4IP Live streaming server

%if_enabled static
%package -n lib%name-devel-static
Summary: MPEG4IP Static development files
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel-static
MPEG4IP Static development files
%endif

%prep
%setup -q -n %name-%version

# build player plugins as plugins, not libraries.
find ./player -name "Makefile*" -print0 | xargs -r0 subst 's,\(\-module\),\1 -avoid-version,' --
find . -type f -name "Makefile.*" -print0 | xargs -r0 subst 's@-Werror@@' --

%build
touch {common/video/iso-mpeg4,lib/{rtp,SDLAudio}}/{NEWS,AUTHORS,ChangeLog}

%__autoreconf

./bootstrap \
	--prefix=%prefix \
	--libdir=%_libdir \
	--mandir=%_mandir \
	%{subst_enable static} \
	--enable-server \
	--enable-player \
	--enable-mp4live \
	--enable-mmx

%make

%install
%make_install install DESTDIR=%buildroot -j1

# remove non-packaged files.
%__rm -f %buildroot%_libdir/mp4player_plugin/*.la

%if_disabled static
%__rm -f %buildroot%_libdir/mp4player_plugin/*.a
%endif

#strange .mpt file. go to docs for now...
%__mkdir_p %buildroot%_docdir/%name-%version
%__mv %buildroot/%_mandir/manm/* %buildroot%_docdir/%name-%version/

%__cp -Rv ./doc/* %buildroot%_datadir/doc/%name-%version/
find %buildroot%_datadir/doc/%name-%version -iname "*makefile*" -print0 | xargs -0 rm -f --
%__rm -rf %buildroot%_datadir/doc/%name-%version/{mp4v2,programs}

%files -n lib%name
%_libdir/*.so.*
%exclude %_libdir/libmp4v2.so.*

%files -n libmp4v2
%_libdir/libmp4v2.so.*

%files doc
%_man1dir/*
%_datadir/doc/%name-%version

%files -n lib%name-devel
%_bindir/mpeg4ip-config
%_libdir/*.so
%_includedir/*
%_man3dir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%files player
%_bindir/mp4player

%files player-plugins
%dir %_libdir/mp4player_plugin
%_libdir/mp4player_plugin/*.so

%files player-gui
%_bindir/gmp4player

%files live
%_bindir/mp4live

%files tools
%_bindir/*
%exclude %_bindir/gmp4player
%exclude %_bindir/mp4player
%exclude %_bindir/mpeg4ip-config
%exclude %_bindir/mp4live

%changelog
* Wed May 13 2009 Pavlov Konstantin <thresh@altlinux.ru> 1.5.0.1-alt8
- Fix build with newer toolchain.

* Mon Apr 20 2009 Pavlov Konstantin <thresh@altlinux.ru> 1.5.0.1-alt7
- Fix build with newer ffmpeg.
- Also, use swscale instead of img_convert.

* Mon Oct 27 2008 Pavlov Konstantin <thresh@altlinux.ru> 1.5.0.1-alt6
- Fix build with gcc 4.3, thanks gentoo folks.

* Wed Jan 02 2008 Pavlov Konstantin <thresh@altlinux.ru> 1.5.0.1-alt5
- Fix build with new auto*. 

* Mon Nov 26 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.5.0.1-alt4
- Fix nasm detection.

* Tue Oct 24 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.5.0.1-alt2
- Remove unneded -Werror stuff to fix building.
- Merge patches into the source tree.
- Fix building in regards to ffmpeg api change.

* Thu Oct 05 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.5.0.1-alt1
- 1.5.0.1 release.

* Fri Aug 18 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.5-alt4
- Added patch to deal with x264 changes (thx led@, closes #9887).

* Tue Jul 04 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.5-alt3
- moved libmp4v2 to separate package.

* Tue Jul 04 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.5-alt2
- moving includes to %%_includedir.

* Tue May 16 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.5-alt1
- New version.
- linux-libc-headers.
- patch1 by damir@ to build on current sisyphus.

* Mon Dec 05 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.4.1-alt1
- 1.4.1 release.
- x86_64 specfile fixes.
- altered buildreqs.

* Fri Jun 17 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.3-alt1
- 1.3 release.

* Fri Mar 25 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.2-alt1
- Initial build for ALT Linux Sisyphus.

